Package com.xebialabs.deployit.plugin.api.udm

# Enum Class OnTaskFailurePolicy

java.lang.Object
java.lang.Enum<OnTaskFailurePolicy>
com.xebialabs.deployit.plugin.api.udm.OnTaskFailurePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<OnTaskFailurePolicy>`, `Constable`

public enum OnTaskFailurePolicy extends Enum<OnTaskFailurePolicy>
Policies used for state transition on "halted execution" tasks (e.g. tasks in state FAILED, STOPPED, ABORTED)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCEL_AND_ARCHIVE`
  `NOOP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OnTaskFailurePolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OnTaskFailurePolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOOP

    public static final OnTaskFailurePolicy NOOP

  - ### CANCEL_AND_ARCHIVE

    public static final OnTaskFailurePolicy CANCEL_AND_ARCHIVE

- ## Method Details

  - ### values

    public static OnTaskFailurePolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OnTaskFailurePolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null